stages:
  - build
  - linter
  - sonar_cloud

variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"
  GIT_DEPTH: "0"

build:
  stage: build
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw package
  artifacts:
    paths:
      - target/main-0.0.1-SNAPSHOT.jar

linter:
  stage: linter
  image: maven
  script:
    - mvn spotbugs:spotbugs
  dependencies:
    - build

sonar_cloud:
  stage: sonar_cloud
  image: maven
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - mvn verify sonar:sonar

